<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsRawGpsTimeUtc Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_raw_gps_time_utc-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsRawGpsTimeUtc Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A container for NAV-TIMEUTC data.  
 <a href="struct_xs_raw_gps_time_utc.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afee9a301896b037d8808a57f7b2b56b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afee9a301896b037d8808a57f7b2b56b2"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#afee9a301896b037d8808a57f7b2b56b2">m_itow</a></td></tr>
<tr class="memdesc:afee9a301896b037d8808a57f7b2b56b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gps time of week (ms) <br /></td></tr>
<tr class="separator:afee9a301896b037d8808a57f7b2b56b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64a665c335495e71bb2d94ba8e3f3936"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64a665c335495e71bb2d94ba8e3f3936"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#a64a665c335495e71bb2d94ba8e3f3936">m_tacc</a></td></tr>
<tr class="memdesc:a64a665c335495e71bb2d94ba8e3f3936"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time Accuracy Estimate (ns) <br /></td></tr>
<tr class="separator:a64a665c335495e71bb2d94ba8e3f3936"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d95a2d62668553e03bce2d8914f1bcc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d95a2d62668553e03bce2d8914f1bcc"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#a0d95a2d62668553e03bce2d8914f1bcc">m_nano</a></td></tr>
<tr class="memdesc:a0d95a2d62668553e03bce2d8914f1bcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nanoseconds of second, range -500000000 .. 500000000 (UTC) <br /></td></tr>
<tr class="separator:a0d95a2d62668553e03bce2d8914f1bcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afabf5f5d0ab8b741b89a07aabdd93517"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afabf5f5d0ab8b741b89a07aabdd93517"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#afabf5f5d0ab8b741b89a07aabdd93517">m_year</a></td></tr>
<tr class="memdesc:afabf5f5d0ab8b741b89a07aabdd93517"><td class="mdescLeft">&#160;</td><td class="mdescRight">Year, range 1999..2099 (UTC) <br /></td></tr>
<tr class="separator:afabf5f5d0ab8b741b89a07aabdd93517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7a3ba4312f9c56182c23b18a29a8151"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7a3ba4312f9c56182c23b18a29a8151"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#ad7a3ba4312f9c56182c23b18a29a8151">m_month</a></td></tr>
<tr class="memdesc:ad7a3ba4312f9c56182c23b18a29a8151"><td class="mdescLeft">&#160;</td><td class="mdescRight">Month, range 1..12 (UTC) <br /></td></tr>
<tr class="separator:ad7a3ba4312f9c56182c23b18a29a8151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42368217aad845bde07533a2f67f4b6d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42368217aad845bde07533a2f67f4b6d"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#a42368217aad845bde07533a2f67f4b6d">m_day</a></td></tr>
<tr class="memdesc:a42368217aad845bde07533a2f67f4b6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Day of Month, range 1..31 (UTC) <br /></td></tr>
<tr class="separator:a42368217aad845bde07533a2f67f4b6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8b557a100f75f1c226342bcecafac3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae8b557a100f75f1c226342bcecafac3e"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#ae8b557a100f75f1c226342bcecafac3e">m_hour</a></td></tr>
<tr class="memdesc:ae8b557a100f75f1c226342bcecafac3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hour of Day, range 0..23 (UTC) <br /></td></tr>
<tr class="separator:ae8b557a100f75f1c226342bcecafac3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a898eb74506d0c5bde389099de9c9fafa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a898eb74506d0c5bde389099de9c9fafa"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#a898eb74506d0c5bde389099de9c9fafa">m_min</a></td></tr>
<tr class="memdesc:a898eb74506d0c5bde389099de9c9fafa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minute of Hour, range 0..59 (UTC) <br /></td></tr>
<tr class="separator:a898eb74506d0c5bde389099de9c9fafa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0182ee03cc1c1c56546774ea46b09948"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0182ee03cc1c1c56546774ea46b09948"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#a0182ee03cc1c1c56546774ea46b09948">m_sec</a></td></tr>
<tr class="memdesc:a0182ee03cc1c1c56546774ea46b09948"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minute of Hour, range 0..59 (UTC) <br /></td></tr>
<tr class="separator:a0182ee03cc1c1c56546774ea46b09948"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d29784865fafd3559a16f05f3ca8105"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gps_time_utc.html#a5d29784865fafd3559a16f05f3ca8105">m_valid</a></td></tr>
<tr class="separator:a5d29784865fafd3559a16f05f3ca8105"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A container for NAV-TIMEUTC data. </p>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000090">Deprecated:</a></b></dt><dd></dd></dl>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a5d29784865fafd3559a16f05f3ca8105"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsRawGpsTimeUtc::m_valid</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Valid 0x01 = Valid Time of Week 0x02 = Valid Week Number 0x04 = Valid UTC (Leap Seconds already known?) </p>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
